<template>
    <div class="Listing">
        <div class="text-center">
            <h1 class="text-center">Listes</h1>
            <router-link to="/new"><button type="button" class="btn btn-primary">Nouvelle liste</button></router-link>
        </div>
        <div class="Liste row mt-2 justify-content-md-center">
            <div class="col-6">
                <div class="card mt-2" v-for="(item, index) in listes" :key="index">
                    <h5 class="card-header">{{ item.libelle }}</h5>
                    <div class="col-12">
                        <div class="row">
                            <div class="col-8">
                                <h5><b>Description: </b></h5><p>{{ item.description }}</p>
                            </div>
                            <div class="col-4 row mt-2">

                                <div class="col-12 mt-1">
                                    <router-link :to="{name: 'consultation', params: {id: item.id}}">
                                        <button type="button" class="btn btn-primary">Consulter</button>
                                    </router-link>
                                </div>
                                <div class="col-12 mt-1 mb-1">
                                    <button type="button" class="btn btn-danger" @click="removeItem(item.id)">Supprimer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'Listing',
        data: () => ({
            listes: []
        }),
        mounted() {
            this.listes = JSON.parse(localStorage.getItem('listes')) || []
        },
        methods: {
            removeItem(idListe){

                //On récupère indice de la liste en question
                const index = this.listes.findIndex(list => list.id === idListe);
                //On supprime la liste
                this.listes.splice(index, 1);
                //On sauvegarde les listes
                localStorage.setItem('listes', JSON.stringify(this.listes))

            }
        }
    }
</script>